Package org.apache.cxf.service.model

# Class AbstractDescriptionElement

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder
org.apache.cxf.service.model.AbstractDescriptionElement

All Implemented Interfaces:
  `Extensible`

Direct Known Subclasses:
  `BindingInfo`, `EndpointInfo`, `InterfaceInfo`, `ServiceInfo`

public abstract class AbstractDescriptionElement extends AbstractPropertiesHolder

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDescriptionElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract DescriptionInfo`
  `getDescription()`

  ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

  `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractDescriptionElement

    public AbstractDescriptionElement()

- ## Method Details

  - ### getDescription

    public abstract DescriptionInfo getDescription()